

<mat-form-field class="title__filter">
  <input matInput type="text" #inputFilter placeholder="Title filter">
</mat-form-field>

<div  class="table__spinner" *ngIf="loading$ | async">
    <mat-spinner></mat-spinner>
</div>

<mat-table  [dataSource]="dataSource" #table
            matSort matSortDisableClear>

  <ng-container matColumnDef="title">
    <mat-header-cell *matHeaderCellDef mat-sort-header="title" disableClear>
      Title
    </mat-header-cell>
    <mat-cell *matCellDef="let row">
        <span>{{ row.title }}</span>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="start">
    <mat-header-cell *matHeaderCellDef mat-sort-header="start" disableClear>
      Start
    </mat-header-cell>
    <mat-cell *matCellDef="let row">
      <span>{{ row.start | date }}</span>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="end">
    <mat-header-cell *matHeaderCellDef mat-sort-header="end" disableClear>
      End
    </mat-header-cell>
    <mat-cell *matCellDef="let row">
      <span>{{ row.end | date }}</span>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="type">
    <mat-header-cell *matHeaderCellDef mat-sort-header="type" disableClear>
      Type
    </mat-header-cell>
    <mat-cell *matCellDef="let row">
      <span>{{ row.type.name }}</span>
    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="actions">
    <mat-header-cell *matHeaderCellDef>Actions</mat-header-cell>
    <mat-cell *matCellDef="let row">
      <button mat-icon-button
        color="primary"
        type="button"
        [matMenuTriggerFor]="userActionsMenu">
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #userActionsMenu="matMenu">
        <button mat-menu-item (click)="onEditTask(row)">
          <mat-icon color="primary">edit</mat-icon>
          <span>Edit</span>
        </button>
        <button mat-menu-item (click)="onInfoTask(row)">
          <mat-icon color="primary">info</mat-icon>
          <span>Information</span>
        </button>
        <button mat-menu-item (click)="onRemoveTask(row)">
          <mat-icon color="primary">delete</mat-icon>
          <span>Delete</span>
        </button>
      </mat-menu>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>

<mat-paginator  [length]="(dataSource.tasks$ | async)?.length"
                [pageSize]="3"
                [pageSizeOptions]="[3, 5, 10]"></mat-paginator>




